<form method="POST" class="panel-content">

    <!-- Header - Old version -->
    <!-- <div class="panel-title">Records Distribution -->
        <!-- <button type="submit" name="export_distribution" value="{{ category }}" class="btn-unstyled panel-btn" style="border: 1px yellow solid;">
            <img src="{{ url_for('static', filename='img/download-solid-light.svg') }}" />
        </button> -->
    <!-- </div> -->

    <table>

        <!-- Header - Title & Export data btn -->
        <tr class="panel-title">
            <th class="dtable-col-text">
                <h3 class="panel-title-text">
                    Records Distribution
                </h3>
            </th>

            <th class="dtable-col-btn dtable-col-sub250">
                <button type="submit" name="import_distribution" title="Import from..." class="btn-unstyled panel-btn" id="import">
                <!-- <a href="/import/" title="Import from..." class="btn-unstyled panel-btn" id="import"> -->
                    <img src="{{ url_for('static', filename='img/folder-open-solid-light.svg') }}" />
                <!-- </a> -->
                </button>
            </th>
            <th class="dtable-col-btn dtable-col-sub250">
                <!-- <button type="submit" name="export_distribution" value="{{ user_distribution }}" class="btn-unstyled panel-btn"> -->
                <!-- <button onclick="exportDistribution()" value="{{ user_distribution }}" class="btn-unstyled panel-btn"> -->
                <button type="submit" name="export_distribution" title="Save distribution" class="btn-unstyled panel-btn" id="export">
                <!-- <a href="/export/" title="Save distribution" class="btn-unstyled panel-btn" id="export"></a> -->
                    <img src="{{ url_for('static', filename='img/download-solid-light.svg') }}" />
                <!-- </a> -->
                </button>
            </th>
        </tr>

        {% for category in user_distribution.categories + ['uncategorized'] %}
            <tr class="dtable-row dtable-row-category">
                
                <!-- <th>+/- ! WARNING ! column </th> -->
                <!-- 'img/circle-exclamation-solid-light.svg' -->

                <th class="dtable-col-text dtable-col-text-content dtable-col-text-category">
                    {{ category.capitalize() }}
                </th>

                <th class="dtable-col-btn">
                    <button type="submit" name="move_up_category" value="{{ category }}" title="Move up" class="btn-unstyled dtable-btn">
                        <img src="{{ url_for('static', filename='img/arrow-up-solid-light.svg') }}" />
                    </button>
                </th>
                <th class="dtable-col-btn">
                    <button type="submit" name="move_down_category" value="{{ category }}" title="Move down" class="btn-unstyled dtable-btn">
                        <img src="{{ url_for('static', filename='img/arrow-down-solid-light.svg') }}" />
                    </button>
                </th>
                <!-- +++ TO RENAME & HANDLE +++ -->
                <th class="dtable-col-btn">    <!-- PLACEHOLDER: rename-cat -->
                    <button type="submit" name="rename_category" value="{{ category }}" title="Rename" class="btn-unstyled dtable-btn">
                        <img src="{{ url_for('static', filename='img/pen-solid-light.svg') }}" />
                    </button>
                </th>
                <!-- --------------- -->
                <th class="dtable-col-btn">    <!-- + = expand / - = collapse -->
                    <button type="submit" name="collapse_expand_category" value="{{ category }}" class="btn-unstyled dtable-btn"
                            title="{% if user_distribution.__dict__[category].collapsed %}Expand{% else %}Collapse{% endif %}" >
                        {% if user_distribution.__dict__[category].collapsed %}       <!-- TEMPORARY - CONDITION TO SET -->
                            <img src="{{ url_for('static', filename='img/plus-solid-light.svg') }}" />
                        {% else %}
                            <img src="{{ url_for('static', filename='img/minus-solid-light.svg') }}" />
                            <!-- OLD IMG: img/window-minimize-solid-light.svg -->
                        {% endif %}
                    </button>
                </th>
                <th class="dtable-col-btn">
                    <button type="submit" name="remove_category" value="{{ category }}" title="Delete" class="btn-unstyled dtable-btn">
                        <img src="{{ url_for('static', filename='img/xmark-solid-light.svg') }}" />
                    </button>
                </th>

            </tr>

            {% if not user_distribution.__dict__[category].collapsed %}
                {% for record in user_distribution.__dict__[category].content %}
                    <tr class="dtable-row dtable-row-record
                            {% if loop.index0 % 2 != 0 %} dtable-row-record-alt{% endif %}">

                        <!-- <td>+/- ! WARNING ! = circle-exclamation-solid.svg</td> -->

                        <td class="dtable-col-text dtable-col-text-content dtable-col-text-record">
                            {{ record._get_value() }}
                        </td>

                        <td class="dtable-col-btn">
                            <button type="submit" name="move_up_record" value="{{ (category, loop.index0) }}" title="Move up" class="btn-unstyled dtable-btn">
                                <img src="{{ url_for('static', filename='img/arrow-up-solid.svg') }}" />
                            </button>
                        </td>
                        <td class="dtable-col-btn">
                            <button type="submit" name="move_down_record" value="{{ (category, loop.index0) }}" title="Move down" class="btn-unstyled dtable-btn">
                                <img src="{{ url_for('static', filename='img/arrow-down-solid.svg') }}" />
                            </button>
                        </td>
                        <td class="dtable-col-btn">    <!-- PLACEHOLDER: change-cat -->
                            <button type="submit" name="change_record_category" value="{{ (category, loop.index0) }}" title="Change category" class="btn-unstyled dtable-btn">
                                <img src="{{ url_for('static', filename='img/pen-to-square-solid.svg') }}" />
                            </button>
                        </td>
                        <td class="dtable-col-btn">    <!-- get record to widgets -->
                            <button type="submit" name="get_record" value="{{ (category, loop.index0) }}" title="Extract & edit" class="btn-unstyled dtable-btn">
                                <img src="{{ url_for('static', filename='img/file-export-solid.svg') }}" />
                            </button>
                        </td>
                        <td class="dtable-col-btn">
                            <button type="submit" name="remove_record" value="{{ (category, loop.index0) }}" title="Delete" class="btn-unstyled dtable-btn">
                                <img src="{{ url_for('static', filename='img/xmark-solid.svg') }}" />
                            </button>
                        </td>

                    </tr>
                {% endfor %}
            {% endif %}

            <tr>
                <!-- TEMPORARY -->
                <!-- <td>__________</td> -->
                <td></td>
            </tr>

        {% endfor %}

    </table>

</form>


<!-- <script>
    function exportDistribution() {
        window.location.href = "/export/'";
    }
</script> -->